技術

Xcode4からPPC非対応になったのね

質問に答える前に、自分でももう一度試してみようと思って easy_install readline をやってみたら assembler (/usr/bin/../libexec/gcc/darwin/ppc/as or /usr/bin/../local/libexec/gcc/darwin/ppc/as) for architecture ppc not installed なんていうエラーが出て easy に install できなくなってるではありませんか!
以前はXcode入れて、setuptools入れて、easy_install readline だけですんなり行ってたはずなのに。

で、ググったらXcode4からPowerPCアーキテクチャに非対応になったらしく、i386、x86_64に加えPPC用のバイナリを生成するようになってるものはコンパイルで上記のようなエラーが出て失敗するようになったらしいです。Python関係に限らず。

Xcode4でCPANモジュールがコンパイルできない問題の解決方法 – Clouder::Bloggerってところに解決方法が載ってましたので試してみました。
環境変数設定法ではダメでした(easy_installだから、というよりreadlineだからっぽいです。)が、シンボリックリンク法でいけました。

おわり

コメントを残す

メールアドレスが公開されることはありません。



※画像をクリックして別の画像を表示

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください